use 5.005;
use ExtUtils::MakeMaker;

#use Devel::PPPort;
#Devel::PPPort::WriteFile();

WriteMakefile(
    'NAME'		=> 'Data::Array2ArrayMap::Hash::XSTree',
    'VERSION_FROM'	=> 'lib/Data/Array2ArrayMap/Hash/XSTree.pm', # finds $VERSION
    'PREREQ_PM'		=> {Clone => 0, Scalar::Util},
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM => 'lib/Data/Array2ArrayMap.pm', # retrieve abstract from module
       AUTHOR     => 'Igor Vlasenko <vlasenko@imath.kiev.ua>') : ()),
);

sub MY::postamble {
    return <<'MAKE_FRAG';
rpm: dist
	rpmbuild -ta --clean Data-Array2ArrayMap-Hash-XSTree-$(VERSION).tar.gz

MAKE_FRAG
}
